Skip to content

getSupplierQuoteLine

READ

Get supplier quote line.

POST /api/v1/purchasing/getSupplierQuoteLine
curl -X POST '<your-host>/api/v1/purchasing/getSupplierQuoteLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierQuoteLineId": "string"
  }'
Response
{
  "accountId": "string",
  "accountName": "string",
  "companyId": "string",
  "conversionFactor": 0,
  "costCenterId": "string",
  "createdBy": "string",
  "customFields": "…",
  "description": "string",
  "externalNotes": "…",
  "id": "string",
  "internalNotes": "…",
  "inventoryUnitOfMeasureCode": "string",
  "itemId": "string",
  "itemReadableId": "string",
  "itemType": "Part",
  "ownerId": "string",
  "purchaseUnitOfMeasureCode": "string",
  "quantity": [
    0
  ],
  "requiredDate": "string",
  "sortOrder": 0,
  "supplierPartId": "string",
  "supplierPartRevision": "string",
  "supplierQuoteId": "string",
  "supplierQuoteLineType": "string",
  "supplierQuoteRevisionId": 0,
  "tags": [
    "string"
  ],
  "thumbnailPath": "string",
  "unitCost": 0,
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierQuoteLineId": {
      "type": "string"
    }
  },
  "required": [
    "supplierQuoteLineId"
  ]
}